Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes.definitions
Class PAPAbstractType

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.definitions.PAPAbstractType

All Implemented Interfaces:
  HDFType

Direct Known Subclasses:
  ParagraphProperties

    public abstract class PAPAbstractType

extends java.lang.Object
implements HDFType

Paragraph Properties. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  S. Ryan Ackley

Constructor Summary
`PAPAbstractType()`

Method Summary
`byte[]` | `getAnld()` Get the anld field for the PAP record.
`short[]` | `getBrcBar()` Get the brcBar field for the PAP record.
`short[]` | `getBrcBetween()` Get the brcBetween field for the PAP record.
`short[]` | `getBrcBottom()` Get the brcBottom field for the PAP record.
`byte` | `getBrcl()` Get the brcl field for the PAP record.
`short[]` | `getBrcLeft()` Get the brcLeft field for the PAP record.
`byte` | `getBrcp()` Get the brcp field for the PAP record.
`short[]` | `getBrcRight()` Get the brcRight field for the PAP record.
`short[]` | `getBrcTop()` Get the brcTop field for the PAP record.
`short` | `getDcs()` Get the dcs field for the PAP record.
`byte[]` | `getDttmPropRMark()` Get the dttmPropRMark field for the PAP record.
`int` | `getDxaAbs()` Get the dxaAbs field for the PAP record.
`int` | `getDxaFromText()` Get the dxaFromText field for the PAP record.
`int` | `getDxaLeft()` Get the dxaLeft field for the PAP record.
`int` | `getDxaLeft1()` Get the dxaLeft1 field for the PAP record.
`int` | `getDxaRight()` Get the dxaRight field for the PAP record.
`int` | `getDxaWidth()` Get the dxaWidth field for the PAP record.
`int` | `getDyaAbs()` Get the dyaAbs field for the PAP record.
`int` | `getDyaAfter()` Get the dyaAfter field for the PAP record.
`int` | `getDyaBefore()` Get the dyaBefore field for the PAP record.
`int` | `getDyaFromText()` Get the dyaFromText field for the PAP record.
`int` | `getDyaHeight()` Get the dyaHeight field for the PAP record.
`byte` | `getFAdjustRight()` Get the fAdjustRight field for the PAP record.
`byte` | `getFAutoSpaceDE()` Get the fAutoSpaceDE field for the PAP record.
`byte` | `getFAutoSpaceDN()` Get the fAutoSpaceDN field for the PAP record.
`byte` | `getFBackward()` Get the fBackward field for the PAP record.
`byte` | `getFBrLnAbove()` Get the fBrLnAbove field for the PAP record.
`byte` | `getFBrLnBelow()` Get the fBrLnBelow field for the PAP record.
`byte` | `getFCrLf()` Get the fCrLf field for the PAP record.
`byte` | `getFInTable()` Get the fInTable field for the PAP record.
`byte` | `getFKeep()` Get the fKeep field for the PAP record.
`byte` | `getFKeepFollow()` Get the fKeepFollow field for the PAP record.
`byte` | `getFKinsoku()` Get the fKinsoku field for the PAP record.
`byte` | `getFLocked()` Get the fLocked field for the PAP record.
`byte` | `getFMinHeight()` Get the fMinHeight field for the PAP record.
`byte` | `getFNoAutoHyph()` Get the fNoAutoHyph field for the PAP record.
`byte` | `getFNoLnn()` Get the fNoLnn field for the PAP record.
`byte` | `getFNumRMIns()` Get the fNumRMIns field for the PAP record.
`short` | `getFontAlign()` Get the fontAlign field for the PAP record.
`byte` | `getFOverflowPunct()` Get the fOverflowPunct field for the PAP record.
`byte` | `getFPageBreakBefore()` Get the fPageBreakBefore field for the PAP record.
`int` | `getFPropRMark()` Get the fPropRMark field for the PAP record.
`byte` | `getFRotateFont()` Get the fRotateFont field for the PAP record.
`byte` | `getFSideBySide()` Get the fSideBySide field for the PAP record.
`byte` | `getFTopLinePunct()` Get the fTopLinePunct field for the PAP record.
`byte` | `getFTtp()` Get the fTtp field for the PAP record.
`byte` | `getFUsePgsuSettings()` Get the fUsePgsuSettings field for the PAP record.
`byte` | `getFWidowControl()` Get the fWidowControl field for the PAP record.
`byte` | `getFWordWrap()` Get the fWordWrap field for the PAP record.
`int` | `getIbstPropRMark()` Get the ibstPropRMark field for the PAP record.
`int` | `getIlfo()` Get the ilfo field for the PAP record.
`byte` | `getIlvl()` Get the ilvl field for the PAP record.
`int` | `getIstd()` Get the istd field for the PAP record.
`int` | `getItbdMac()` Get the itbdMac field for the PAP record.
`byte` | `getJc()` Get the jc field for the PAP record.
`short[]` | `getLspd()` Get the lspd field for the PAP record.
`byte` | `getLvl()` Get the lvl field for the PAP record.
`byte[]` | `getNumrm()` Get the numrm field for the PAP record.
`byte` | `getPcHorz()` Get the pcHorz field for the PAP record.
`byte` | `getPcVert()` Get the pcVert field for the PAP record.
`byte[]` | `getPhe()` Get the phe field for the PAP record.
`byte[]` | `getPtap()` Get the ptap field for the PAP record.
`byte[]` | `getRgdxaTab()` Get the rgdxaTab field for the PAP record.
`byte[]` | `getRgtbd()` Get the rgtbd field for the PAP record.
`short` | `getShd()` Get the shd field for the PAP record.
`int` | `getSize()` Size of record (exluding 4 byte header)
`int` | `getWAlignFont()` Get the wAlignFont field for the PAP record.
`byte` | `getWr()` Get the wr field for the PAP record.
`boolean` | `isFBackward()`
`boolean` | `isFRotateFont()`
`boolean` | `isFVertical()`
`void` | `setAnld(byte[] field_60_anld)` Set the anld field for the PAP record.
`void` | `setBrcBar(short[] field_51_brcBar)` Set the brcBar field for the PAP record.
`void` | `setBrcBetween(short[] field_50_brcBetween)` Set the brcBetween field for the PAP record.
`void` | `setBrcBottom(short[] field_48_brcBottom)` Set the brcBottom field for the PAP record.
`void` | `setBrcl(byte field_11_brcl)` Set the brcl field for the PAP record.
`void` | `setBrcLeft(short[] field_47_brcLeft)` Set the brcLeft field for the PAP record.
`void` | `setBrcp(byte field_10_brcp)` Set the brcp field for the PAP record.
`void` | `setBrcRight(short[] field_49_brcRight)` Set the brcRight field for the PAP record.
`void` | `setBrcTop(short[] field_46_brcTop)` Set the brcTop field for the PAP record.
`void` | `setDcs(short field_57_dcs)` Set the dcs field for the PAP record.
`void` | `setDttmPropRMark(byte[] field_63_dttmPropRMark)` Set the dttmPropRMark field for the PAP record.
`void` | `setDxaAbs(int field_43_dxaAbs)` Set the dxaAbs field for the PAP record.
`void` | `setDxaFromText(int field_52_dxaFromText)` Set the dxaFromText field for the PAP record.
`void` | `setDxaLeft(int field_19_dxaLeft)` Set the dxaLeft field for the PAP record.
`void` | `setDxaLeft1(int field_20_dxaLeft1)` Set the dxaLeft1 field for the PAP record.
`void` | `setDxaRight(int field_18_dxaRight)` Set the dxaRight field for the PAP record.
`void` | `setDxaWidth(int field_45_dxaWidth)` Set the dxaWidth field for the PAP record.
`void` | `setDyaAbs(int field_44_dyaAbs)` Set the dyaAbs field for the PAP record.
`void` | `setDyaAfter(int field_23_dyaAfter)` Set the dyaAfter field for the PAP record.
`void` | `setDyaBefore(int field_22_dyaBefore)` Set the dyaBefore field for the PAP record.
`void` | `setDyaFromText(int field_53_dyaFromText)` Set the dyaFromText field for the PAP record.
`void` | `setDyaHeight(int field_54_dyaHeight)` Set the dyaHeight field for the PAP record.
`void` | `setFAdjustRight(byte field_27_fAdjustRight)` Set the fAdjustRight field for the PAP record.
`void` | `setFAutoSpaceDE(byte field_32_fAutoSpaceDE)` Set the fAutoSpaceDE field for the PAP record.
`void` | `setFAutoSpaceDN(byte field_33_fAutoSpaceDN)` Set the fAutoSpaceDN field for the PAP record.
`void` | `setFBackward(boolean value)` Sets the fBackward field value.
`void` | `setFBackward(byte field_36_fBackward)` Set the fBackward field for the PAP record.
`void` | `setFBrLnAbove(byte field_6_fBrLnAbove)` Set the fBrLnAbove field for the PAP record.
`void` | `setFBrLnBelow(byte field_7_fBrLnBelow)` Set the fBrLnBelow field for the PAP record.
`void` | `setFCrLf(byte field_25_fCrLf)` Set the fCrLf field for the PAP record.
`void` | `setFInTable(byte field_38_fInTable)` Set the fInTable field for the PAP record.
`void` | `setFKeep(byte field_3_fKeep)` Set the fKeep field for the PAP record.
`void` | `setFKeepFollow(byte field_4_fKeepFollow)` Set the fKeepFollow field for the PAP record.
`void` | `setFKinsoku(byte field_28_fKinsoku)` Set the fKinsoku field for the PAP record.
`void` | `setFLocked(byte field_41_fLocked)` Set the fLocked field for the PAP record.
`void` | `setFMinHeight(byte field_55_fMinHeight)` Set the fMinHeight field for the PAP record.
`void` | `setFNoAutoHyph(byte field_16_fNoAutoHyph)` Set the fNoAutoHyph field for the PAP record.
`void` | `setFNoLnn(byte field_13_fNoLnn)` Set the fNoLnn field for the PAP record.
`void` | `setFNumRMIns(byte field_59_fNumRMIns)` Set the fNumRMIns field for the PAP record.
`void` | `setFontAlign(short field_35_fontAlign)` Set the fontAlign field for the PAP record.
`void` | `setFOverflowPunct(byte field_30_fOverflowPunct)` Set the fOverflowPunct field for the PAP record.
`void` | `setFPageBreakBefore(byte field_5_fPageBreakBefore)` Set the fPageBreakBefore field for the PAP record.
`void` | `setFPropRMark(int field_61_fPropRMark)` Set the fPropRMark field for the PAP record.
`void` | `setFRotateFont(boolean value)` Sets the fRotateFont field value.
`void` | `setFRotateFont(byte field_37_fRotateFont)` Set the fRotateFont field for the PAP record.
`void` | `setFSideBySide(byte field_15_fSideBySide)` Set the fSideBySide field for the PAP record.
`void` | `setFTopLinePunct(byte field_31_fTopLinePunct)` Set the fTopLinePunct field for the PAP record.
`void` | `setFTtp(byte field_39_fTtp)` Set the fTtp field for the PAP record.
`void` | `setFUsePgsuSettings(byte field_26_fUsePgsuSettings)` Set the fUsePgsuSettings field for the PAP record.
`void` | `setFVertical(boolean value)` Sets the fVertical field value.
`void` | `setFWidowControl(byte field_17_fWidowControl)` Set the fWidowControl field for the PAP record.
`void` | `setFWordWrap(byte field_29_fWordWrap)` Set the fWordWrap field for the PAP record.
`void` | `setIbstPropRMark(int field_62_ibstPropRMark)` Set the ibstPropRMark field for the PAP record.
`void` | `setIlfo(int field_14_ilfo)` Set the ilfo field for the PAP record.
`void` | `setIlvl(byte field_12_ilvl)` Set the ilvl field for the PAP record.
`void` | `setIstd(int field_1_istd)` Set the istd field for the PAP record.
`void` | `setItbdMac(int field_65_itbdMac)` Set the itbdMac field for the PAP record.
`void` | `setJc(byte field_2_jc)` Set the jc field for the PAP record.
`void` | `setLspd(short[] field_21_lspd)` Set the lspd field for the PAP record.
`void` | `setLvl(byte field_58_lvl)` Set the lvl field for the PAP record.
`void` | `setNumrm(byte[] field_64_numrm)` Set the numrm field for the PAP record.
`void` | `setPcHorz(byte field_9_pcHorz)` Set the pcHorz field for the PAP record.
`void` | `setPcVert(byte field_8_pcVert)` Set the pcVert field for the PAP record.
`void` | `setPhe(byte[] field_24_phe)` Set the phe field for the PAP record.
`void` | `setPtap(byte[] field_42_ptap)` Set the ptap field for the PAP record.
`void` | `setRgdxaTab(byte[] field_66_rgdxaTab)` Set the rgdxaTab field for the PAP record.
`void` | `setRgtbd(byte[] field_67_rgtbd)` Set the rgtbd field for the PAP record.
`void` | `setShd(short field_56_shd)` Set the shd field for the PAP record.
`void` | `setWAlignFont(int field_34_wAlignFont)` Set the wAlignFont field for the PAP record.
`void` | `setWr(byte field_40_wr)` Set the wr field for the PAP record.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PAPAbstractType

    public PAPAbstractType()

Method Detail

### getSize

    public int getSize()

  Size of record (exluding 4 byte header)

### getIstd

    public int getIstd()

  Get the istd field for the PAP record.

### setIstd

    public void setIstd(int field_1_istd)

  Set the istd field for the PAP record.

### getJc

    public byte getJc()

  Get the jc field for the PAP record.

### setJc

    public void setJc(byte field_2_jc)

  Set the jc field for the PAP record.

### getFKeep

    public byte getFKeep()

  Get the fKeep field for the PAP record.

### setFKeep

    public void setFKeep(byte field_3_fKeep)

  Set the fKeep field for the PAP record.

### getFKeepFollow

    public byte getFKeepFollow()

  Get the fKeepFollow field for the PAP record.

### setFKeepFollow

    public void setFKeepFollow(byte field_4_fKeepFollow)

  Set the fKeepFollow field for the PAP record.

### getFPageBreakBefore

    public byte getFPageBreakBefore()

  Get the fPageBreakBefore field for the PAP record.

### setFPageBreakBefore

    public void setFPageBreakBefore(byte field_5_fPageBreakBefore)

  Set the fPageBreakBefore field for the PAP record.

### getFBrLnAbove

    public byte getFBrLnAbove()

  Get the fBrLnAbove field for the PAP record.

### setFBrLnAbove

    public void setFBrLnAbove(byte field_6_fBrLnAbove)

  Set the fBrLnAbove field for the PAP record.

### getFBrLnBelow

    public byte getFBrLnBelow()

  Get the fBrLnBelow field for the PAP record.

### setFBrLnBelow

    public void setFBrLnBelow(byte field_7_fBrLnBelow)

  Set the fBrLnBelow field for the PAP record.

### getPcVert

    public byte getPcVert()

  Get the pcVert field for the PAP record.

### setPcVert

    public void setPcVert(byte field_8_pcVert)

  Set the pcVert field for the PAP record.

### getPcHorz

    public byte getPcHorz()

  Get the pcHorz field for the PAP record.

### setPcHorz

    public void setPcHorz(byte field_9_pcHorz)

  Set the pcHorz field for the PAP record.

### getBrcp

    public byte getBrcp()

  Get the brcp field for the PAP record.

### setBrcp

    public void setBrcp(byte field_10_brcp)

  Set the brcp field for the PAP record.

### getBrcl

    public byte getBrcl()

  Get the brcl field for the PAP record.

### setBrcl

    public void setBrcl(byte field_11_brcl)

  Set the brcl field for the PAP record.

### getIlvl

    public byte getIlvl()

  Get the ilvl field for the PAP record.

### setIlvl

    public void setIlvl(byte field_12_ilvl)

  Set the ilvl field for the PAP record.

### getFNoLnn

    public byte getFNoLnn()

  Get the fNoLnn field for the PAP record.

### setFNoLnn

    public void setFNoLnn(byte field_13_fNoLnn)

  Set the fNoLnn field for the PAP record.

### getIlfo

    public int getIlfo()

  Get the ilfo field for the PAP record.

### setIlfo

    public void setIlfo(int field_14_ilfo)

  Set the ilfo field for the PAP record.

### getFSideBySide

    public byte getFSideBySide()

  Get the fSideBySide field for the PAP record.

### setFSideBySide

    public void setFSideBySide(byte field_15_fSideBySide)

  Set the fSideBySide field for the PAP record.

### getFNoAutoHyph

    public byte getFNoAutoHyph()

  Get the fNoAutoHyph field for the PAP record.

### setFNoAutoHyph

    public void setFNoAutoHyph(byte field_16_fNoAutoHyph)

  Set the fNoAutoHyph field for the PAP record.

### getFWidowControl

    public byte getFWidowControl()

  Get the fWidowControl field for the PAP record.

### setFWidowControl

    public void setFWidowControl(byte field_17_fWidowControl)

  Set the fWidowControl field for the PAP record.

### getDxaRight

    public int getDxaRight()

  Get the dxaRight field for the PAP record.

### setDxaRight

    public void setDxaRight(int field_18_dxaRight)

  Set the dxaRight field for the PAP record.

### getDxaLeft

    public int getDxaLeft()

  Get the dxaLeft field for the PAP record.

### setDxaLeft

    public void setDxaLeft(int field_19_dxaLeft)

  Set the dxaLeft field for the PAP record.

### getDxaLeft1

    public int getDxaLeft1()

  Get the dxaLeft1 field for the PAP record.

### setDxaLeft1

    public void setDxaLeft1(int field_20_dxaLeft1)

  Set the dxaLeft1 field for the PAP record.

### getLspd

    public short[] getLspd()

  Get the lspd field for the PAP record.

### setLspd

    public void setLspd(short[] field_21_lspd)

  Set the lspd field for the PAP record.

### getDyaBefore

    public int getDyaBefore()

  Get the dyaBefore field for the PAP record.

### setDyaBefore

    public void setDyaBefore(int field_22_dyaBefore)

  Set the dyaBefore field for the PAP record.

### getDyaAfter

    public int getDyaAfter()

  Get the dyaAfter field for the PAP record.

### setDyaAfter

    public void setDyaAfter(int field_23_dyaAfter)

  Set the dyaAfter field for the PAP record.

### getPhe

    public byte[] getPhe()

  Get the phe field for the PAP record.

### setPhe

    public void setPhe(byte[] field_24_phe)

  Set the phe field for the PAP record.

### getFCrLf

    public byte getFCrLf()

  Get the fCrLf field for the PAP record.

### setFCrLf

    public void setFCrLf(byte field_25_fCrLf)

  Set the fCrLf field for the PAP record.

### getFUsePgsuSettings

    public byte getFUsePgsuSettings()

  Get the fUsePgsuSettings field for the PAP record.

### setFUsePgsuSettings

    public void setFUsePgsuSettings(byte field_26_fUsePgsuSettings)

  Set the fUsePgsuSettings field for the PAP record.

### getFAdjustRight

    public byte getFAdjustRight()

  Get the fAdjustRight field for the PAP record.

### setFAdjustRight

    public void setFAdjustRight(byte field_27_fAdjustRight)

  Set the fAdjustRight field for the PAP record.

### getFKinsoku

    public byte getFKinsoku()

  Get the fKinsoku field for the PAP record.

### setFKinsoku

    public void setFKinsoku(byte field_28_fKinsoku)

  Set the fKinsoku field for the PAP record.

### getFWordWrap

    public byte getFWordWrap()

  Get the fWordWrap field for the PAP record.

### setFWordWrap

    public void setFWordWrap(byte field_29_fWordWrap)

  Set the fWordWrap field for the PAP record.

### getFOverflowPunct

    public byte getFOverflowPunct()

  Get the fOverflowPunct field for the PAP record.

### setFOverflowPunct

    public void setFOverflowPunct(byte field_30_fOverflowPunct)

  Set the fOverflowPunct field for the PAP record.

### getFTopLinePunct

    public byte getFTopLinePunct()

  Get the fTopLinePunct field for the PAP record.

### setFTopLinePunct

    public void setFTopLinePunct(byte field_31_fTopLinePunct)

  Set the fTopLinePunct field for the PAP record.

### getFAutoSpaceDE

    public byte getFAutoSpaceDE()

  Get the fAutoSpaceDE field for the PAP record.

### setFAutoSpaceDE

    public void setFAutoSpaceDE(byte field_32_fAutoSpaceDE)

  Set the fAutoSpaceDE field for the PAP record.

### getFAutoSpaceDN

    public byte getFAutoSpaceDN()

  Get the fAutoSpaceDN field for the PAP record.

### setFAutoSpaceDN

    public void setFAutoSpaceDN(byte field_33_fAutoSpaceDN)

  Set the fAutoSpaceDN field for the PAP record.

### getWAlignFont

    public int getWAlignFont()

  Get the wAlignFont field for the PAP record.

### setWAlignFont

    public void setWAlignFont(int field_34_wAlignFont)

  Set the wAlignFont field for the PAP record.

### getFontAlign

    public short getFontAlign()

  Get the fontAlign field for the PAP record.

### setFontAlign

    public void setFontAlign(short field_35_fontAlign)

  Set the fontAlign field for the PAP record.

### getFBackward

    public byte getFBackward()

  Get the fBackward field for the PAP record.

### setFBackward

    public void setFBackward(byte field_36_fBackward)

  Set the fBackward field for the PAP record.

### getFRotateFont

    public byte getFRotateFont()

  Get the fRotateFont field for the PAP record.

### setFRotateFont

    public void setFRotateFont(byte field_37_fRotateFont)

  Set the fRotateFont field for the PAP record.

### getFInTable

    public byte getFInTable()

  Get the fInTable field for the PAP record.

### setFInTable

    public void setFInTable(byte field_38_fInTable)

  Set the fInTable field for the PAP record.

### getFTtp

    public byte getFTtp()

  Get the fTtp field for the PAP record.

### setFTtp

    public void setFTtp(byte field_39_fTtp)

  Set the fTtp field for the PAP record.

### getWr

    public byte getWr()

  Get the wr field for the PAP record.

### setWr

    public void setWr(byte field_40_wr)

  Set the wr field for the PAP record.

### getFLocked

    public byte getFLocked()

  Get the fLocked field for the PAP record.

### setFLocked

    public void setFLocked(byte field_41_fLocked)

  Set the fLocked field for the PAP record.

### getPtap

    public byte[] getPtap()

  Get the ptap field for the PAP record.

### setPtap

    public void setPtap(byte[] field_42_ptap)

  Set the ptap field for the PAP record.

### getDxaAbs

    public int getDxaAbs()

  Get the dxaAbs field for the PAP record.

### setDxaAbs

    public void setDxaAbs(int field_43_dxaAbs)

  Set the dxaAbs field for the PAP record.

### getDyaAbs

    public int getDyaAbs()

  Get the dyaAbs field for the PAP record.

### setDyaAbs

    public void setDyaAbs(int field_44_dyaAbs)

  Set the dyaAbs field for the PAP record.

### getDxaWidth

    public int getDxaWidth()

  Get the dxaWidth field for the PAP record.

### setDxaWidth

    public void setDxaWidth(int field_45_dxaWidth)

  Set the dxaWidth field for the PAP record.

### getBrcTop

    public short[] getBrcTop()

  Get the brcTop field for the PAP record.

### setBrcTop

    public void setBrcTop(short[] field_46_brcTop)

  Set the brcTop field for the PAP record.

### getBrcLeft

    public short[] getBrcLeft()

  Get the brcLeft field for the PAP record.

### setBrcLeft

    public void setBrcLeft(short[] field_47_brcLeft)

  Set the brcLeft field for the PAP record.

### getBrcBottom

    public short[] getBrcBottom()

  Get the brcBottom field for the PAP record.

### setBrcBottom

    public void setBrcBottom(short[] field_48_brcBottom)

  Set the brcBottom field for the PAP record.

### getBrcRight

    public short[] getBrcRight()

  Get the brcRight field for the PAP record.

### setBrcRight

    public void setBrcRight(short[] field_49_brcRight)

  Set the brcRight field for the PAP record.

### getBrcBetween

    public short[] getBrcBetween()

  Get the brcBetween field for the PAP record.

### setBrcBetween

    public void setBrcBetween(short[] field_50_brcBetween)

  Set the brcBetween field for the PAP record.

### getBrcBar

    public short[] getBrcBar()

  Get the brcBar field for the PAP record.

### setBrcBar

    public void setBrcBar(short[] field_51_brcBar)

  Set the brcBar field for the PAP record.

### getDxaFromText

    public int getDxaFromText()

  Get the dxaFromText field for the PAP record.

### setDxaFromText

    public void setDxaFromText(int field_52_dxaFromText)

  Set the dxaFromText field for the PAP record.

### getDyaFromText

    public int getDyaFromText()

  Get the dyaFromText field for the PAP record.

### setDyaFromText

    public void setDyaFromText(int field_53_dyaFromText)

  Set the dyaFromText field for the PAP record.

### getDyaHeight

    public int getDyaHeight()

  Get the dyaHeight field for the PAP record.

### setDyaHeight

    public void setDyaHeight(int field_54_dyaHeight)

  Set the dyaHeight field for the PAP record.

### getFMinHeight

    public byte getFMinHeight()

  Get the fMinHeight field for the PAP record.

### setFMinHeight

    public void setFMinHeight(byte field_55_fMinHeight)

  Set the fMinHeight field for the PAP record.

### getShd

    public short getShd()

  Get the shd field for the PAP record.

### setShd

    public void setShd(short field_56_shd)

  Set the shd field for the PAP record.

### getDcs

    public short getDcs()

  Get the dcs field for the PAP record.

### setDcs

    public void setDcs(short field_57_dcs)

  Set the dcs field for the PAP record.

### getLvl

    public byte getLvl()

  Get the lvl field for the PAP record.

### setLvl

    public void setLvl(byte field_58_lvl)

  Set the lvl field for the PAP record.

### getFNumRMIns

    public byte getFNumRMIns()

  Get the fNumRMIns field for the PAP record.

### setFNumRMIns

    public void setFNumRMIns(byte field_59_fNumRMIns)

  Set the fNumRMIns field for the PAP record.

### getAnld

    public byte[] getAnld()

  Get the anld field for the PAP record.

### setAnld

    public void setAnld(byte[] field_60_anld)

  Set the anld field for the PAP record.

### getFPropRMark

    public int getFPropRMark()

  Get the fPropRMark field for the PAP record.

### setFPropRMark

    public void setFPropRMark(int field_61_fPropRMark)

  Set the fPropRMark field for the PAP record.

### getIbstPropRMark

    public int getIbstPropRMark()

  Get the ibstPropRMark field for the PAP record.

### setIbstPropRMark

    public void setIbstPropRMark(int field_62_ibstPropRMark)

  Set the ibstPropRMark field for the PAP record.

### getDttmPropRMark

    public byte[] getDttmPropRMark()

  Get the dttmPropRMark field for the PAP record.

### setDttmPropRMark

    public void setDttmPropRMark(byte[] field_63_dttmPropRMark)

  Set the dttmPropRMark field for the PAP record.

### getNumrm

    public byte[] getNumrm()

  Get the numrm field for the PAP record.

### setNumrm

    public void setNumrm(byte[] field_64_numrm)

  Set the numrm field for the PAP record.

### getItbdMac

    public int getItbdMac()

  Get the itbdMac field for the PAP record.

### setItbdMac

    public void setItbdMac(int field_65_itbdMac)

  Set the itbdMac field for the PAP record.

### getRgdxaTab

    public byte[] getRgdxaTab()

  Get the rgdxaTab field for the PAP record.

### setRgdxaTab

    public void setRgdxaTab(byte[] field_66_rgdxaTab)

  Set the rgdxaTab field for the PAP record.

### getRgtbd

    public byte[] getRgtbd()

  Get the rgtbd field for the PAP record.

### setRgtbd

    public void setRgtbd(byte[] field_67_rgtbd)

  Set the rgtbd field for the PAP record.

### setFVertical

    public void setFVertical(boolean value)

  Sets the fVertical field value.

### isFVertical

    public boolean isFVertical()

  Returns:
    the fVertical field value.

### setFBackward

    public void setFBackward(boolean value)

  Sets the fBackward field value.

### isFBackward

    public boolean isFBackward()

  Returns:
    the fBackward field value.

### setFRotateFont

    public void setFRotateFont(boolean value)

  Sets the fRotateFont field value.

### isFRotateFont

    public boolean isFRotateFont()

  Returns:
    the fRotateFont field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD